Bug 1264053 - [RFE] Report fibre channel initiator and target world wide names
Summary: [RFE] Report fibre channel initiator and target world wide names
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: RFEs
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Rob Young
QA Contact: Lukas Svaty
URL:
Whiteboard:
Depends On:
Blocks: 1294854
TreeView+ depends on / blocked
 
Reported: 2015-09-17 12:06 UTC by Juan Hernández
Modified: 2020-04-01 14:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
: 1294854 (view as bug list)
Environment:
Last Closed: 2020-04-01 14:47:43 UTC
oVirt Team: Storage
juan.hernandez: ovirt-future?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

Description Juan Hernández 2015-09-17 12:06:10 UTC
Currently the engine (via the RESTAPI) doesn't report the WWN (world wide names) of the SCSI initiators and targets for fiber channel storage domains. For example:

  <logical_unit id="3600014400000001070605fc6b86f0000">
    <serial>myserial</serial>
    <vendor_id>myvendor</vendor_id>
    <product_id>myuproduct</product_id>
    <lun_mapping>0</lun_mapping>
    <size>53687091200</size>
    <paths>4</paths>
    <status>used</status>
  </logical_unit>

This information doesn't include the WWN of the initiator or the target.

For iSCSI the target is reported, in the form of a iSCSI IQN, but the initiator WWN is also missing:

  <logical_unit id="3600a09803752706c3224462d72794500">
    <port>3260</port>
    <target>iqn.2015-09.com.example:mytarget</target>
    <portal>...</portal>
    <address>...</address>
    <serial>...</serial>
    <vendor_id>myvendor</vendor_id>
    <product_id>myproduct</product_id>
    <lun_mapping>0</lun_mapping>
    <size>107374182400</size>
    <paths>0</paths>
    <volume_group_id>...</volume_group_id>
    <storage_domain_id>...</storage_domain_id>
  <logical_unit>

This RFE is about reporting the initiator and target WWN in all cases, for example:

  <logical_unit id="3600014400000001070605fc6b86f0000">
    <initiator>
      <wwn>myinitiatorwwn</wwn>
    </initiator>
    <target>
      <wwn>mytargetwwn</wwn>
    </target>
    ...
  </logical_unit>

As the initiators are more related to the host than to a specific LU it may be better to create a new "/hosts/{host:id}/scsiinitiators" collection:

  GET /hosts/{host:id}/scsiinitiators
  <scsi_initiators>
    <scsi_initiator id="..." href="...">
      <wwn>myinitiator1wwwn</wwn>
    </scsi_initiator>
    <scsi_initiator id="..." hef="...">
      <wwn>myinitiator2wwwn</wwn>
    </scsi_initiator>
    ...
  </scsi_initiators>

Same for the targets. The LU can then report them using links:

  <logical_unit ...>
    <initiator id="..." href="/hosts/{host:id}/scsiinitiators/..."/>
    <target id="..." href="/hosts/{host:id}/scsitargets/..."/>
  </logical_unit>

Comment 1 Doron Fediuck 2018-05-27 13:16:33 UTC
Closing old RFEs.
If relevant, please re-open and explain why.
As always- patches are welcomed!

Comment 2 Yaniv Lavi 2018-05-27 13:42:29 UTC
This is needed.

Comment 3 Michal Skrivanek 2020-03-18 15:46:41 UTC
This bug didn't get any attention for a while, we didn't have the capacity to make any progress. If you deeply care about it or want to work on it please assign/target accordingly

Comment 4 Michal Skrivanek 2020-03-18 15:51:27 UTC
This bug didn't get any attention for a while, we didn't have the capacity to make any progress. If you deeply care about it or want to work on it please assign/target accordingly

Comment 5 Michal Skrivanek 2020-04-01 14:47:43 UTC
ok, closing. Please reopen if still relevant/you want to work on it.

Comment 6 Michal Skrivanek 2020-04-01 14:51:10 UTC
ok, closing. Please reopen if still relevant/you want to work on it.


Note You need to log in before you can comment on or make changes to this bug.